## 目录结构

- api 旧的遗留的包,用来存放对服务器的 http 请求
- assets 开发代码静态资源,存放图片,json 等
- common 公共组件,可选
- libs 程序开发使用的工具包
- mock 写原型需要的后台数据模拟配置
- module 系统模块,业务逻辑代码
- plugin 自定义插件,必须引入,包含 panel pagetable 等
- resources 配置文件,国际化文件
- router vue-router 组件
- service 前端的'后台'服务,
- styles 样式表
- tab 模块,与 module 配合
- views 页面,与 router 配合
- vuex 状态机

## 合并 route

1. 自定义 route

```

```

## 命名规范

1. 组件使用功能分组+修饰的方式命名,例如 ConnHttp,ConnIbmmq,Conn 表示是一个连接配置组件,Http 表示是组件中的一种(Http)
2. 正确示例: ConnHTTP ConnIBMMQ UserMgr UserEditor
3. 错误示例: HttpConn IbmmqConn

## 引入路径

1. 使用 @符 表示从 src 目录引入,比如 '@/common/Uploader.vue'
2. 所有 vue 文件引入要带有 vue 后缀
3. 所有 Api 文件跟进模块放到自己模块下,命名[模块+Api.js]

## 开发可用组件

- Panel 一个面板组件
- ExportCtrl 导出按钮组
- SysCode
- TabView
- Selector
